Package org.opensaml.storage.impl.client

# Class JSONClientStorageServiceStore

java.lang.Object
org.opensaml.storage.impl.client.AbstractClientStorageServiceStore
org.opensaml.storage.impl.client.JSONClientStorageServiceStore

All Implemented Interfaces:
  `ClientStorageServiceStore`

public class JSONClientStorageServiceStore extends AbstractClientStorageServiceStore
JSON-based storage for `ClientStorageService`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory`
Factory for JSON-backed store.

## Nested classes/interfaces inherited from interface org.opensaml.storage.impl.client.ClientStorageServiceStore

`ClientStorageServiceStore.Factory`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`JSONClientStorageServiceStore()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doLoad(String raw)`
Reconstitute stored data.
`ClientStorageServiceOperation`
`save(ClientStorageService storageService)`
Serialize current state of stored data into a storage operation.

### Methods inherited from class org.opensaml.storage.impl.client.AbstractClientStorageServiceStore

`getContextMap, getSource, isDirty, load, setDirty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### JSONClientStorageServiceStore

public JSONClientStorageServiceStore()

## Method Details

### doLoad

public void doLoad(@Nullable @NotEmpty String raw) throws IOException
Reconstitute stored data.

Specified by:
  `doLoad` in class `AbstractClientStorageServiceStore`
Parameters:
  `raw` - serialized data to load
Throws:
  `IOException` - if an error occurs

### save

@Nullable public ClientStorageServiceOperation save(@Nonnull ClientStorageService storageService) throws IOException
Serialize current state of stored data into a storage operation.

Specified by:
  `save` in interface `ClientStorageServiceStore`
Specified by:
  `save` in class `AbstractClientStorageServiceStore`
Parameters:
  `storageService` - storage service
Returns:
  the operation, or a null if the data has not been modified since loading or saving
Throws:
  `IOException` - if an error occurs